Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Clean 64bit install demandin 32bit flags?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
The_Great_Sephiroth
Veteran
Veteran


Joined: 03 Oct 2014
Posts: 1364
Location: Fayetteville, NC, USA

PostPosted: Tue May 10, 2016 4:52 am    Post subject: Clean 64bit install demandin 32bit flags? Reply with quote

I am installing Gentoo 64bit onto a new system. Whenever I try to emerge X I get multiple screens demanding 'abi_x86_32' be added to a TON of packages. Why? The message at the end is below.

emerge: there are no ebuilds built with USE flags to satisfy ">=x11-libs/libX11-1.6.2[abi_x86_32]"

The thing is, I do not have that flag set ANYWHERE. Is X only 32bit now?
_________________
Ever picture systemd as what runs "The Borg"?
Back to top
View user's profile Send private message
guido.hatzsis
n00b
n00b


Joined: 10 Jul 2015
Posts: 51

PostPosted: Tue May 10, 2016 4:58 am    Post subject: Reply with quote

What other packages are you pulling in? Are there any video drivers that link against 32 bit libraries?
Even android has problems: https://www.youtube.com/watch?v=iYWzMvlj2RQ
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7972
Location: ~Brussels - Belgique

PostPosted: Tue May 10, 2016 8:07 am    Post subject: Reply with quote

Hi!

You have for sure a binary package that is in 32 bits and pulls all those 32 bits dependencies, and ask to add those multilib flags

What is the complete output of the emerge message ?
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
The_Great_Sephiroth
Veteran
Veteran


Joined: 03 Oct 2014
Posts: 1364
Location: Fayetteville, NC, USA

PostPosted: Tue May 10, 2016 12:16 pm    Post subject: Reply with quote

I have Intel and nVidia in this laptop. I have "VIDEO_CARDS" set to "nvidia i915". This is correct for my the laptop in question. I do not know if nVidia links against 32bit stuff, but I have not had Intel do it on other systems.

I will try to get the output, but it is MASSIVE. I tried emerging the X server and it scrolls so much that I cannot scroll all the way up.

*UPDATE*

The nVidia drivers are listed as having the "multilib" flag, causing X to want to build 32bit packages. I will simply modify that one package to use "-multilib" since this is an office laptop, used for web, email, and LibreOffice, not gaming or 32bit mess like older games.
_________________
Ever picture systemd as what runs "The Borg"?
Back to top
View user's profile Send private message
The_Great_Sephiroth
Veteran
Veteran


Joined: 03 Oct 2014
Posts: 1364
Location: Fayetteville, NC, USA

PostPosted: Tue May 10, 2016 12:43 pm    Post subject: Reply with quote

That was it! Now I am sorting out how to get the packages I want in the new, crappy plasma desktop. I don't even see an updated kwrite for crying out loud! No screensavers, nothing. I really believe 4 should have been left around at LEAST until we had plasma versions of the very basic KDE apps...
_________________
Ever picture systemd as what runs "The Borg"?
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5761

PostPosted: Tue May 10, 2016 6:52 pm    Post subject: Reply with quote

KDE4 hasn't gone anywhere at all, nor have the ebuilds, the profiles, the mountains of documentation on installing a KDE4-only system...
Back to top
View user's profile Send private message
The_Great_Sephiroth
Veteran
Veteran


Joined: 03 Oct 2014
Posts: 1364
Location: Fayetteville, NC, USA

PostPosted: Wed May 11, 2016 2:57 am    Post subject: Reply with quote

That may be true, but the last time I tried to do a KDE4 install I had some issues, so I just did Plasma. I am not blaming Gentoo or any devs here for the mess that is Plasma. That is the KDE team's fault and looking around the web I see a ton of others equally disappointed in 5. That's for another forum though, I digress. Making the nVidia drivers not multilib fixed the issue. I would not do that on a gaming system, however.
_________________
Ever picture systemd as what runs "The Borg"?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum